package com.ruoyi.system.mapper.md;

import com.ruoyi.system.domain.md.JbWork;
import com.ruoyi.system.domain.md.JbWorkExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface JbWorkMapper {
    long countByExample(JbWorkExample example);

    int deleteByExample(JbWorkExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(JbWork record);

    int insertSelective(JbWork record);

    List<JbWork> selectByExampleWithBLOBs(JbWorkExample example);

    List<JbWork> selectByExample(JbWorkExample example);

    JbWork selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") JbWork record, @Param("example") JbWorkExample example);

    int updateByExampleWithBLOBs(@Param("record") JbWork record, @Param("example") JbWorkExample example);

    int updateByExample(@Param("record") JbWork record, @Param("example") JbWorkExample example);

    int updateByPrimaryKeySelective(JbWork record);

    int updateByPrimaryKeyWithBLOBs(JbWork record);

    int updateByPrimaryKey(JbWork record);
}